Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.0.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class EnvironmentStats

    java.lang.Object
      com.sleepycat.je.EnvironmentStats

All Implemented Interfaces:
  Serializable

    public class EnvironmentStats

extends Object
implements Serializable

System wide statistics for a single environment.

See Also:
  Serialized Form

Method Summary
`long` | `getBufferBytes()` The total memory currently consumed by log buffers, in bytes.
`long` | `getCacheDataBytes()` The amount of JE cache used for holding data, in bytes.
`long` | `getCacheTotalBytes()` The amount of JE cache in use, in bytes.
`int` | `getCleanerBacklog()` The number of files to be cleaned to reach the target utilization.
`int` | `getCursorsBins()` The number of bins encountered by the INCompressor that had cursors referring to them when the compressor ran.
`int` | `getDbClosedBins()` The number of bins encountered by the INCompressor that had their database closed between the time they were put on the compressor queue and when the compressor ran.
`int` | `getInCompQueueSize()` The number of entries in the INCompressor queue when the getStats() call was made.
`long` | `getLastCheckpointEnd()` The location in the log of the last checkpoint end.
`long` | `getLastCheckpointId()` The Id of the last checkpoint.
`long` | `getLastCheckpointStart()` The location in the log of the last checkpoint start.
`long` | `getNBINsStripped()` The number of BINS stripped by the evictor.
`long` | `getNCacheMiss()` The total number of requests for database objects which were not in memory.
`int` | `getNCheckpoints()` The total number of checkpoints run so far.
`int` | `getNCleanerDeletions()` The number of cleaner file deletions this session.
`int` | `getNCleanerEntriesRead()` The accumulated number of log entries read by the cleaner.
`int` | `getNCleanerRuns()` The number of cleaner runs this session.
`int` | `getNClusterLNsProcessed()` The accumulated number of LNs processed because they qualify for clustering.
`int` | `getNDeltaINFlush()` The accumulated number of Delta INs flushed to the log.
`int` | `getNEvictPasses()` The number of passes made to the evictor.
`long` | `getNFSyncRequests()` The number of fsyncs requested through the group commit manager.
`long` | `getNFSyncs()` The number of fsyncs issued through the group commit manager.
`long` | `getNFSyncTimeouts()` The number of fsync requests submitted to the group commit manager which timed out.
`int` | `getNFullBINFlush()` The accumulated number of full BINS flushed to the log.
`int` | `getNFullINFlush()` The accumulated number of full INs flushed to the log.
`int` | `getNINsCleaned()` The accumulated number of INs cleaned.
`int` | `getNINsDead()` The accumulated number of INs that were not found in the tree anymore (deleted).
`int` | `getNINsMigrated()` The accumulated number of INs migrated.
`int` | `getNINsObsolete()` The accumulated number of INs obsolete.
`int` | `getNLNQueueHits()` The accumulated number of LNs processed without a tree lookup.
`int` | `getNLNsCleaned()` The accumulated number of LNs cleaned.
`int` | `getNLNsDead()` The accumulated number of LNs that were not found in the tree anymore (deleted).
`int` | `getNLNsLocked()` The accumulated number of LNs encountered that were locked.
`int` | `getNLNsMarked()` The accumulated number of LNs that were marked for migration during cleaning.
`int` | `getNLNsMigrated()` The accumulated number of LNs encountered that were migrated forward in the log.
`int` | `getNLNsObsolete()` The accumulated number of LNs obsolete.
`int` | `getNLogBuffers()` The number of log buffers currently instantiated.
`int` | `getNMarkedLNsProcessed()` The accumulated number of LNs processed because they were previously marked for migration.
`long` | `getNNodesExplicitlyEvicted()` The accumulated number of nodes evicted.
`long` | `getNNodesScanned()` The accumulated number of nodes scanned in order to select the eviction set.
`long` | `getNNodesSelected()` The accumulated number of nodes selected to evict.
`long` | `getNNotResident()` The number of requests for database objects not contained within the in memory data structures.
`int` | `getNonEmptyBins()` The number of bins encountered by the INCompressor that were not actually empty when the compressor ran.
`int` | `getNPendingLNsLocked()` The accumulated number of pending LNs that could not be locked for migration because of a long duration application lock.
`int` | `getNPendingLNsProcessed()` The accumulated number of LNs processed because they were previously locked.
`long` | `getNRepeatFaultReads()` The number of reads which had to be repeated when faulting in an object from disk because the read chunk size controlled by je.log.faultReadSize is too small.
`long` | `getNRepeatIteratorReads()` The number of times we try to read a log entry larger than the read buffer size and can't grow the log buffer to accommodate the large object.
`long` | `getNTempBufferWrites()` The number of writes which had to be completed using the temporary marshalling buffer because the fixed size log buffers specified by je.log.totalBufferBytes and je.log.numBuffers were not large enough.
`int` | `getNToBeCleanedLNsProcessed()` The accumulated number of LNs processed because they are soon to be cleaned.
`int` | `getProcessedBins()` The number of bins that were successfully processed by the IN Compressor.
`long` | `getRequiredEvictBytes()` The number of bytes that must be evicted in order to get within the memory budget.
`int` | `getSplitBins()` The number of bins encountered by the INCompressor that were split between the time they were put on the compressor queue and when the compressor ran.
`String` | `toString()` Returns a String representation of the stats in the form of <stat>=<value>

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getBufferBytes

    public long getBufferBytes()

  The total memory currently consumed by log buffers, in bytes.

### getCursorsBins

    public int getCursorsBins()

  The number of bins encountered by the INCompressor that had cursors referring to them when the compressor ran.

### getDbClosedBins

    public int getDbClosedBins()

  The number of bins encountered by the INCompressor that had their database closed between the time they were put on the compressor queue and when the compressor ran.

### getInCompQueueSize

    public int getInCompQueueSize()

  The number of entries in the INCompressor queue when the getStats() call was made.

### getLastCheckpointId

    public long getLastCheckpointId()

  The Id of the last checkpoint.

### getNCacheMiss

    public long getNCacheMiss()

  The total number of requests for database objects which were not in memory.

### getNCheckpoints

    public int getNCheckpoints()

  The total number of checkpoints run so far.

### getNCleanerDeletions

    public int getNCleanerDeletions()

  The number of cleaner file deletions this session.

### getNCleanerEntriesRead

    public int getNCleanerEntriesRead()

  The accumulated number of log entries read by the cleaner.

### getCleanerBacklog

    public int getCleanerBacklog()

  The number of files to be cleaned to reach the target utilization.

### getNCleanerRuns

    public int getNCleanerRuns()

  The number of cleaner runs this session.

### getNDeltaINFlush

    public int getNDeltaINFlush()

  The accumulated number of Delta INs flushed to the log.

### getLastCheckpointEnd

    public long getLastCheckpointEnd()

  The location in the log of the last checkpoint end.

### getLastCheckpointStart

    public long getLastCheckpointStart()

  The location in the log of the last checkpoint start.

### getNEvictPasses

    public int getNEvictPasses()

  The number of passes made to the evictor.

### getNFullBINFlush

    public int getNFullBINFlush()

  The accumulated number of full BINS flushed to the log.

### getNFSyncs

    public long getNFSyncs()

  The number of fsyncs issued through the group commit manager.

### getNFSyncRequests

    public long getNFSyncRequests()

  The number of fsyncs requested through the group commit manager.

### getNFSyncTimeouts

    public long getNFSyncTimeouts()

  The number of fsync requests submitted to the group commit manager which timed out.

### getNFullINFlush

    public int getNFullINFlush()

  The accumulated number of full INs flushed to the log.

### getNINsObsolete

    public int getNINsObsolete()

  The accumulated number of INs obsolete.

### getNINsCleaned

    public int getNINsCleaned()

  The accumulated number of INs cleaned.

### getNINsDead

    public int getNINsDead()

  The accumulated number of INs that were not found in the tree anymore (deleted).

### getNINsMigrated

    public int getNINsMigrated()

  The accumulated number of INs migrated.

### getNLNsObsolete

    public int getNLNsObsolete()

  The accumulated number of LNs obsolete.

### getNLNsCleaned

    public int getNLNsCleaned()

  The accumulated number of LNs cleaned.

### getNLNsDead

    public int getNLNsDead()

  The accumulated number of LNs that were not found in the tree anymore (deleted).

### getNLNsLocked

    public int getNLNsLocked()

  The accumulated number of LNs encountered that were locked.

### getNLNsMigrated

    public int getNLNsMigrated()

  The accumulated number of LNs encountered that were migrated forward in the log.

### getNLNsMarked

    public int getNLNsMarked()

  The accumulated number of LNs that were marked for migration during cleaning.

### getNLNQueueHits

    public int getNLNQueueHits()

  The accumulated number of LNs processed without a tree lookup.

### getNPendingLNsProcessed

    public int getNPendingLNsProcessed()

  The accumulated number of LNs processed because they were previously locked.

### getNMarkedLNsProcessed

    public int getNMarkedLNsProcessed()

  The accumulated number of LNs processed because they were previously marked for migration.

### getNToBeCleanedLNsProcessed

    public int getNToBeCleanedLNsProcessed()

  The accumulated number of LNs processed because they are soon to be cleaned.

### getNClusterLNsProcessed

    public int getNClusterLNsProcessed()

  The accumulated number of LNs processed because they qualify for clustering.

### getNPendingLNsLocked

    public int getNPendingLNsLocked()

  The accumulated number of pending LNs that could not be locked for migration because of a long duration application lock.

### getNLogBuffers

    public int getNLogBuffers()

  The number of log buffers currently instantiated.

### getNNodesExplicitlyEvicted

    public long getNNodesExplicitlyEvicted()

  The accumulated number of nodes evicted.

### getNBINsStripped

    public long getNBINsStripped()

  The number of BINS stripped by the evictor.

### getRequiredEvictBytes

    public long getRequiredEvictBytes()

  The number of bytes that must be evicted in order to get within the memory budget.

### getNNodesScanned

    public long getNNodesScanned()

  The accumulated number of nodes scanned in order to select the eviction set.

### getNNodesSelected

    public long getNNodesSelected()

  The accumulated number of nodes selected to evict.

### getCacheTotalBytes

    public long getCacheTotalBytes()

  The amount of JE cache in use, in bytes.

### getCacheDataBytes

    public long getCacheDataBytes()

  The amount of JE cache used for holding data, in bytes.

### getNNotResident

    public long getNNotResident()

  The number of requests for database objects not contained within the in memory data structures.

### getNonEmptyBins

    public int getNonEmptyBins()

  The number of bins encountered by the INCompressor that were not actually empty when the compressor ran.

### getProcessedBins

    public int getProcessedBins()

  The number of bins that were successfully processed by the IN Compressor.

### getNRepeatFaultReads

    public long getNRepeatFaultReads()

  The number of reads which had to be repeated when faulting in an object from disk because the read chunk size controlled by je.log.faultReadSize is too small.

### getNTempBufferWrites

    public long getNTempBufferWrites()

  The number of writes which had to be completed using the temporary marshalling buffer because the fixed size log buffers specified by je.log.totalBufferBytes and je.log.numBuffers were not large enough.

### getNRepeatIteratorReads

    public long getNRepeatIteratorReads()

  The number of times we try to read a log entry larger than the read buffer size and can't grow the log buffer to accommodate the large object. This happens during scans of the log during activities like environment open or log cleaning. Implies that the read chunk size controlled by je.log.iteratorReadSize is too small.

### getSplitBins

    public int getSplitBins()

  The number of bins encountered by the INCompressor that were split between the time they were put on the compressor queue and when the compressor ran.

### toString

    public String toString()

  Returns a String representation of the stats in the form of <stat>=<value>

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.0.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2006 Sleepycat Software, Inc. - All rights reserved.